<?php



session_start();



require_once ("../../config/Cado.php");

require_once ("../empresa/cEmpresa.php");

$oEmpresa = new cEmpresa();





require_once ("../guiaremision/cGuiaremision.php");

$oGuiaremision = new cGuiaremision();



require_once ("../producto/cCatalogo.php");

$oCatalogo = new cCatalogo();

require_once ("../impresora/cImpresora.php");

$oImpresora = new cImpresora();



require_once("../formatos/formato.php");

require_once("../formatos/numletras.php");



	$urlxml='../'.$_POST['urlxml'];

	

	$dtsguia= $oGuiaremision->mostrarUno($_POST['guia_id']);

	$dtguia= mysqli_fetch_array($dtsguia);

	if($dtguia['docabr']=='F'){

		$data['tipdocrel'] = '01';

	}else if($dtguia['docabr']=='B'){

		$data['tipdocrel'] = '03';

	}

	

	$data['ven_numdoc'] =$dtguia['docrel'];

	$data['guia_id'] =$dtguia['tb_guiaremision_id'];

	$data['guia_numdoc'] =$dtguia['tb_guiaremision_numdoc'];

	$data['guia_docnom'] =$dtguia['tb_documento_nom'];

	$data['guia_docAbr'] =$dtguia['tb_documento_abr'];	

	$data['guia_fec'] =$dtguia['tb_guiaremision_fec'];

	$data['guia_connom'] =$dtguia['tb_conductor_nom'];

	$data['guia_conlic'] =$dtguia['tb_conductor_lic'];

	$data['guia_traruc'] =$dtguia['tb_transporte_doc'];

	$data['guia_trarazsoc'] =$dtguia['tb_transporte_razsoc'];

	$emp_id = $dtguia['tb_empresa_id'];

	

	

	if($dtguia['tb_motivo_id']==1){

	$data['guia_motid'] =$dtguia['tb_motivo_id'];

	$data['guia_mot'] = 'VENTA';

	}else if($dtguia['tb_motivo_id']==4){

		$data['guia_motid'] =$dtguia['tb_motivo_id'];

		$data['guia_mot'] = 'TRASLADO ENTRE ESTABLECIMIENTOS DE LA MISMA EMPRESA';

	}else if($dtguia['tb_motivo_id']==14){

	$data['guia_motid'] =$dtguia['tb_motivo_id'];

	$data['guia_mot'] = 'VENTA SUJETA A CONFIRMACION DEL COMPRADOR';

	}else if($dtguia['tb_motivo_id']==13){

	$data['guia_motid'] =$dtguia['tb_motivo_id'];

	$data['guia_mot'] = 'OTROS';

	}

	

	$data['guia_vehmar'] =$dtguia['tb_vehiculo_mar'];

	$data['guia_vehpla'] =$dtguia['tb_vehiculo_pla'];

	$data['guia_par'] =$dtguia['tb_guiaremision_par'];

	$data['guia_lle'] =$dtguia['tb_guiaremision_lleg'];

	$data['empid'] =$dtguia['tb_empresa_id'];

	$data['guia_ate'] =$dtguia['tb_guiaremision_ate'];

	$data['guia_obs'] =$dtguia['tb_guiaremision_obs'];

	

	//CLIENTE

	$data['cliNom'] =$dtguia['tb_cliente_nom'];

	$data['cliDoc'] =$dtguia['tb_cliente_doc'];

	$data['cliId'] =$dtguia['tb_cliente_id'];

	

	//IMPRESORA

	$data['imp_nom'] 	=$dtguia['tb_impresora_nom'];

	$data['imp_nomloc']  =$dtguia['tb_impresora_nomloc'];

	$data['imp_ser'] =$dtguia['tb_impresora_ser'];

	$data['imp_url'] =$dtguia['tb_impresora_url'];

	$data['imp_ip'] =$dtguia['tb_impresora_ip'];

	

	mysqli_free_result($dtsguia);



$dts=$oEmpresa->mostrarUno($emp_id);

$dt = mysqli_fetch_array($dts);

	$emp_ruc=$dt['tb_empresa_ruc'];

	$emp_nomcom=$dt['tb_empresa_nomcom'];

	$emp_razsoc=$dt['tb_empresa_razsoc'];

	$emp_dir=$dt['tb_empresa_dir'];

	$emp_dir2=$dt['tb_empresa_dir2'];

	$emp_tel=$dt['tb_empresa_tel'];

	$emp_ema=$dt['tb_empresa_ema'];

	$emp_fir=$dt['tb_empresa_fir'];		

mysqli_free_result($dts);





$ser =  substr($dtguia['tb_guiaremision_numdoc'],0,4); 

$corr =  substr($dtguia['tb_guiaremision_numdoc'],5,13); 



$cont = strlen($dtguia['tb_cliente_doc']);



if($cont==11){

	$tipdoc = '06';

}else if($cont==8){

	$tipdoc = '01';

}





if($dtguia['tb_documento_abr']=="G"){

	$tipcom="09";

}



if($docAbr=="G"){

	$tip_com="09";

}



$data['tip_com']	=$tip_com;

$data['docabr'] = $docAbr;

$data['urlxml']	= $urlxml;

//EXTRAER DATOS DEL XML



$xml = new DOMDocument();

$xml->preserveWhiteSpace = FALSE;

$xml->load($urlxml);



$k= $xml->getElementsByTagName("DigestValue");

foreach ($k as $node) {

   $DigVal =  $node->nodeValue;

}



$k= $xml->getElementsByTagName("SignatureValue");



foreach ($k as $node) {

   $SigVal=  $node->nodeValue;

}



 $est = 1;

 /* $oVenta->act_sunat($venid,$DigVal,$SigVal,$est); */



$data['DigVal'] = $DigVal;

$data['SigVal'] = $SigVal;







$dtsdetguia=$oGuiaremision->mostrardetalle($_POST['guia_id']);

$num_rows= mysqli_num_rows($dtsdetguia);

if($num_rows>=1){



	while($dt1 = mysqli_fetch_array($dtsdetguia))

	{		

		$dts1=$oCatalogo->mostrarUno($dt1['tb_catalogo_id'],$dt1['tb_marca_id']);

		$dt = mysqli_fetch_array($dts1);

				

		$data['guiadet_pro_id'][]= $dt["tb_producto_id"];

		$data['guiadet_pronom'][]= limpiar_string ($dt["tb_producto_nom"]);

		$data['guiadet_marnom'][]= $dt["tb_marca_nom"];

		$data['guiadet_uninom'][]= $dt["tb_unidad_nom"];		

		$data['guiadet_can'][]=$dt1["tb_guiaremisiondetalle_can"] * 1;

		$data['guiadet_pes'][]= $dt1["tb_guiaremisiondetalle_pes"];

		

	}

	mysqli_free_result($dtsdetguia);	



}else{

	$data="";

}



$data['numitem'] = $num_rows;





echo json_encode($data);









?>